# puppet-filebucket-tool
This project is meant to handle & query the filebucket locally on the device of a puppet agent. It will implement the same functionality (and some new ones) to allow the user to look for what files are backed up in the bucket & allow them to restore a file on disk from the backups.

## Author
| Name   | Value                    |
|--------|--------------------------|
| Name   | Tristan Ancelet          |
| Email  | tristanancelet@yahoo.com |
| Work # | +1 (337) 965-1855        |


## Planned Features
### Search
This will search for a file by a substring (or full path) of the file you are attempting to view or restore.

### List
This will simply list out every file that has been backed up to the bucket in `<TIME> : <HASH> : <FILEPATH>` format.

### List-Files 
This will allow you to just list the specific (unique) files/paths that were backed up to the bucket during puppet runs before they get changed on disk.

You can use this to find the file you are looking for before you search for it using the search action.

### Restore 
This will allow you to restore a file on disk to the specific version that is stored in the bucket.

### Get
The utility will allow you to get the contents of a backup up file and have it output to the terminal.
